Glint Solar API

Glint Solar API (1.0.0)

Download OpenAPI specification:

REST API to create, read, update, and delete Glint Solar projects, parcels, contacts, and organizations.

Authentication uses a Personal Access Token sent in the X-API-Key header. See the Get Started guide.

Organizations

List organizations

Returns all organizations the authenticated user has access to.

Authorizations:
apiKey

Responses

Request samples

curl -X GET "https://api.glintsolar.com/organizations/v1" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
[
  • {
    }
]

Portfolios

List portfolios

Returns all portfolios in an organization that the user has access to.

Authorizations:
apiKey
query Parameters
orgId
required
string

Organization ID

Responses

Request samples

curl -X GET "https://api.glintsolar.com/portfolios/v1?orgId=YOUR_ORG_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
[
  • {
    }
]

Users

List users

Returns all users in an organization, including organization members and guest users with portfolio access.

Authorizations:
apiKey
query Parameters
orgId
required
string

Organization ID

Responses

Request samples

curl -X GET "https://api.glintsolar.com/users/v1?orgId=YOUR_ORG_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
[
  • {
    }
]

Projects

List projects

Returns all projects in a portfolio with pagination support.

Authorizations:
apiKey
query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

limit
integer [ 1 .. 5000 ]

Maximum number of projects to return.

startKey
string

Pagination cursor from previous response

Responses

Request samples

curl -X GET "https://api.glintsolar.com/projects/v1?orgId=YOUR_ORG_ID&portfolioId=YOUR_PORTFOLIO_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "nextKey": "string"
}

Create project

Creates a new project in a portfolio.

Authorizations:
apiKey
query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

Request Body schema: application/json
required
required
object

Responses

Request samples

Content type
application/json
{
  • "properties": {
    }
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "properties": {
    },
  • "created_at": "2019-08-24T14:15:22Z",
  • "updated_at": "2019-08-24T14:15:22Z"
}

Get project schema

Returns the project schema with available properties for the organization.

Authorizations:
apiKey
query Parameters
orgId
required
string

Organization ID

Responses

Request samples

curl -X GET "https://api.glintsolar.com/projects/v1/schema?orgId=YOUR_ORG_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
{
  • "properties": [
    ]
}

Update project

Updates properties of a project.

Authorizations:
apiKey
path Parameters
id
required
string

Project ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

Request Body schema: application/json
required
properties
required
object

Responses

Request samples

Content type
application/json
{
  • "properties": {
    }
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "properties": {
    },
  • "created_at": "2019-08-24T14:15:22Z",
  • "updated_at": "2019-08-24T14:15:22Z"
}

Delete project

Deletes a project.

Authorizations:
apiKey
path Parameters
id
required
string

Project ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

Responses

Request samples

curl -X DELETE "https://api.glintsolar.com/projects/v1/YOUR_ID?orgId=YOUR_ORG_ID&portfolioId=YOUR_PORTFOLIO_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

List parcels linked to a project

Returns parcels linked to a project within the given portfolio.

Authorizations:
apiKey
path Parameters
id
required
string

Project ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

limit
integer [ 1 .. 5000 ]

Maximum number of parcels to return.

startKey
string

Pagination cursor from previous response

Responses

Request samples

curl -X GET "https://api.glintsolar.com/projects/v1/YOUR_ID/parcels?orgId=YOUR_ORG_ID&portfolioId=YOUR_PORTFOLIO_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "nextKey": "string"
}

List contacts linked to a project

Returns contacts linked to a project within the given portfolio.

Authorizations:
apiKey
path Parameters
id
required
string

Project ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

limit
integer [ 1 .. 5000 ]

Maximum number of contacts to return.

startKey
string

Pagination cursor from previous response

Responses

Request samples

curl -X GET "https://api.glintsolar.com/projects/v1/YOUR_ID/contacts?orgId=YOUR_ORG_ID&portfolioId=YOUR_PORTFOLIO_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "nextKey": "string"
}

Link a contact to a project

Links a contact to a project.

Authorizations:
apiKey
path Parameters
id
required
string

Project ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

Request Body schema: application/json
required
contactId
required
string non-empty

Responses

Request samples

Content type
application/json
{
  • "contactId": "string"
}

Unlink a contact from a project

Unlinks a contact from a project.

Authorizations:
apiKey
path Parameters
id
required
string

Project ID

contactId
required
string

Contact ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

Responses

Request samples

curl -X DELETE "https://api.glintsolar.com/projects/v1/YOUR_ID/contacts/YOUR_CONTACT_ID?orgId=YOUR_ORG_ID&portfolioId=YOUR_PORTFOLIO_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Parcels

Get parcel schema

Returns the parcel schema with available properties for the organization.

Authorizations:
apiKey
query Parameters
orgId
required
string

Organization ID

Responses

Request samples

curl -X GET "https://api.glintsolar.com/parcels/v1/schema?orgId=YOUR_ORG_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
{
  • "properties": [
    ]
}

Update parcel

Updates properties of a parcel.

Authorizations:
apiKey
path Parameters
id
required
string

Parcel ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

Request Body schema: application/json
required
properties
required
object

Responses

Request samples

Content type
application/json
{
  • "properties": {
    }
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "properties": {
    },
  • "created_at": "2019-08-24T14:15:22Z",
  • "updated_at": "2019-08-24T14:15:22Z"
}

List projects linked to a parcel

Returns projects linked to a parcel within the given portfolio.

Authorizations:
apiKey
path Parameters
id
required
string

Parcel ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

limit
integer [ 1 .. 5000 ]

Maximum number of projects to return.

startKey
string

Pagination cursor from previous response

Responses

Request samples

curl -X GET "https://api.glintsolar.com/parcels/v1/YOUR_ID/projects?orgId=YOUR_ORG_ID&portfolioId=YOUR_PORTFOLIO_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "nextKey": "string"
}

List contacts linked to a parcel

Returns contacts linked to a parcel within the given portfolio.

Authorizations:
apiKey
path Parameters
id
required
string

Parcel ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

limit
integer [ 1 .. 5000 ]

Maximum number of contacts to return.

startKey
string

Pagination cursor from previous response

Responses

Request samples

curl -X GET "https://api.glintsolar.com/parcels/v1/YOUR_ID/contacts?orgId=YOUR_ORG_ID&portfolioId=YOUR_PORTFOLIO_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "nextKey": "string"
}

Link a contact to a parcel

Links a contact to a parcel.

Authorizations:
apiKey
path Parameters
id
required
string

Parcel ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

Request Body schema: application/json
required
contactId
required
string non-empty

Responses

Request samples

Content type
application/json
{
  • "contactId": "string"
}

Unlink a contact from a parcel

Unlinks a contact from a parcel.

Authorizations:
apiKey
path Parameters
id
required
string

Parcel ID

contactId
required
string

Contact ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

Responses

Request samples

curl -X DELETE "https://api.glintsolar.com/parcels/v1/YOUR_ID/contacts/YOUR_CONTACT_ID?orgId=YOUR_ORG_ID&portfolioId=YOUR_PORTFOLIO_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Contacts

List contacts

Returns all contacts in a portfolio with pagination support.

Authorizations:
apiKey
query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

limit
integer [ 1 .. 5000 ]

Maximum number of contacts to return.

startKey
string

Pagination cursor from previous response

Responses

Request samples

curl -X GET "https://api.glintsolar.com/contacts/v1?orgId=YOUR_ORG_ID&portfolioId=YOUR_PORTFOLIO_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "nextKey": "string"
}

Create contact

Creates a new contact in a portfolio.

Authorizations:
apiKey
query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

Request Body schema: application/json
required
required
object

Responses

Request samples

Content type
application/json
{
  • "properties": {
    }
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "properties": {
    },
  • "created_at": "2019-08-24T14:15:22Z",
  • "updated_at": "2019-08-24T14:15:22Z"
}

Get contact schema

Returns the contact schema with available properties for the organization.

Authorizations:
apiKey
query Parameters
orgId
required
string

Organization ID

Responses

Request samples

curl -X GET "https://api.glintsolar.com/contacts/v1/schema?orgId=YOUR_ORG_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
{
  • "properties": [
    ]
}

Update contact

Updates properties of a contact.

Authorizations:
apiKey
path Parameters
id
required
string

Contact ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

Request Body schema: application/json
required
properties
required
object

Responses

Request samples

Content type
application/json
{
  • "properties": {
    }
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "properties": {
    },
  • "created_at": "2019-08-24T14:15:22Z",
  • "updated_at": "2019-08-24T14:15:22Z"
}

Delete contact

Deletes a contact.

Authorizations:
apiKey
path Parameters
id
required
string

Contact ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

Responses

Request samples

curl -X DELETE "https://api.glintsolar.com/contacts/v1/YOUR_ID?orgId=YOUR_ORG_ID&portfolioId=YOUR_PORTFOLIO_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

List parcels linked to a contact

Returns parcels linked to a contact within the given portfolio.

Authorizations:
apiKey
path Parameters
id
required
string

Contact ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

limit
integer [ 1 .. 5000 ]

Maximum number of parcels to return.

startKey
string

Pagination cursor from previous response

Responses

Request samples

curl -X GET "https://api.glintsolar.com/contacts/v1/YOUR_ID/parcels?orgId=YOUR_ORG_ID&portfolioId=YOUR_PORTFOLIO_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "nextKey": "string"
}

List projects linked to a contact

Returns projects linked to a contact within the given portfolio.

Authorizations:
apiKey
path Parameters
id
required
string

Contact ID

query Parameters
orgId
required
string

Organization ID

portfolioId
required
string

Portfolio ID

limit
integer [ 1 .. 5000 ]

Maximum number of projects to return.

startKey
string

Pagination cursor from previous response

Responses

Request samples

curl -X GET "https://api.glintsolar.com/contacts/v1/YOUR_ID/projects?orgId=YOUR_ORG_ID&portfolioId=YOUR_PORTFOLIO_ID" \
  -H "X-API-Key: YOUR_PERSONAL_ACCESS_TOKEN"

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "nextKey": "string"
}